- Aldebaran documentation |
- C++ Libraries |
- index

alrobotmodel 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Types | Public Member Functions | Public Attributes | List of all members
Sim::Sensor Class Referenceabstract

Sensor is a generic class defining a robot owned object that measure a quantity about it or its environment. More...

`#include <alrobotmodel.h>`

## Public Types
enum | Type { ANGLE, COUPLED, SONAR, CAMERA, FSR, INERTIAL, BUMPER, TORQUE, ANGLE_SPEED, WHEEL_VELOCITY, TACTILE, DEPTH_INFRARED, SINGLE_DEPTH, ARRAY_DEPTH, CAMERA_DEPTH, MICROPHONE }
| gives the type of the Sensor. More...

## Public Member Functions
| Sensor ()
| creates an empty Sensor, you should not use this. More...
| ~Sensor ()
| destructor. More...
const Frame * | frame () const
| returns the Frame of the Sensor. More...
virtual const std::string & | name () const
| returns the name of the Sensor. More...
Type | type () const
| returns the Type of the Sensor. More...
virtual int | bufferSize () const =0
| returns the maximum size of the buffer of a measure from the Sensor in bits. More...

## Public Attributes
class SensorImpl * | a_impl
| private implementation. More...

## Detailed Description

Sensor is a generic class defining a robot owned object that measure a quantity about it or its environment.

Definition at line 879 of file alrobotmodel.h.

## Member Enumeration Documentation

enum Sim::Sensor::Type

gives the type of the Sensor.

Enumerator
ANGLE |
COUPLED |
SONAR |
CAMERA |
FSR |
INERTIAL |
BUMPER |
TORQUE |
ANGLE_SPEED |
WHEEL_VELOCITY |
TACTILE |
DEPTH_INFRARED |
SINGLE_DEPTH |
ARRAY_DEPTH |
CAMERA_DEPTH |
MICROPHONE |

Definition at line 883 of file alrobotmodel.h.

## Constructor & Destructor Documentation

Sim::Sensor::Sensor | ( |  | ) |

creates an empty Sensor, you should not use this.

Warning
  The Sensor being empty, every access to this object will throw.

Sim::Sensor::~Sensor | ( |  | ) |

destructor.

## Member Function Documentation

virtual int Sim::Sensor::bufferSize | ( |  | ) | const
| pure virtual

returns the maximum size of the buffer of a measure from the Sensor in bits.

Implemented in Sim::MicrophoneSensor, Sim::ArrayDepthSensor, Sim::SingleDepthSensor, Sim::TactileSensor, Sim::BumperSensor, Sim::SonarSensor, Sim::InertialSensor, Sim::FSRSensor, Sim::CameraDepthSensor, Sim::CameraStereoSensor, Sim::CameraSensor, Sim::BaseCamera, Sim::WheelVelocitySensor, Sim::AngleSpeedSensor, Sim::TorqueSensor, Sim::CoupledSensor, Sim::AngleSensor, and Sim::DCMSensor.

const Frame* Sim::Sensor::frame | ( |  | ) | const

returns the Frame of the Sensor.

virtual const std::string& Sim::Sensor::name | ( |  | ) | const
| virtual

returns the name of the Sensor.

Type Sim::Sensor::type | ( |  | ) | const

returns the Type of the Sensor.

## Member Data Documentation

class SensorImpl* Sim::Sensor::a_impl

private implementation.

Definition at line 923 of file alrobotmodel.h.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/agility/alrobotmodel/libalrobotmodel/alrobotmodel/alrobotmodel.h